## A small example - the issue is that there is a problem with the node order
## after ape2ouch() on BEAST tree output, the nodes are not in traversal order
## Here is a smaller example. 12 taxon tree file from BEAST

require(ape)
require(ouch)

prim <- read.nexus("Primates.MCC.tree")
plot(prim)
nodelabels()
prim$edge
str(prim)

oprim <- ape2ouch(prim)
plot(oprim, frame.plot=F)
tree.plot.internal(oprim, frame.plot=F)   # source function from plot.R along with is.root.node from ouchtree.R
tree.plot.internal(oprim, frame.plot=F)     # works!!

x <- read.nexus("consensus_beast.trees.nex")
ox <- ape2ouch(x)
plot(ox)
tree.plot.internal(ox)

x <- read.tree("consensus_beast.trees")
ox <- ape2ouch(x)
plot(ox)
tree.plot.internal(ox)

### BELOW is no longer needed
# # If we write out the csv 

# write.csv(as(oprim, "data.frame"), file="primates.csv")
# dat <- read.csv("primates.csv")
# oprim1 <- with(dat, ouchtree(nodes, ancestors, times, labels))
# plot(oprim1, frame.plot=F)   ## still scrambled 

# ## and correct node order from ape tree, it is fine

# dat <- dat[c(1:11,12, 20, 13, 17, 16, 18, 19, 21, 14, 15, 22, 23),]  ## reorder
# oprim2 <- with(dat, ouchtree(nodes, ancestors, times, labels))
# plot(oprim2, frame.plot=F)   ## now OK

